@import url("https://fonts.googleapis.com/css2?family=Google+Sans:opsz,wght@17..18,400..700&family=LINE+Seed+JP:wght@400;700&display=swap");
* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  overflow: hidden;
  border-radius: 0;
}

html {
  scroll-behavior: smooth;
  overflow-y: auto;
}

body {
  display: block;
  width: 100vw;
  min-height: 100dvh;
  background-color: #fff;
}
body::-webkit-scrollbar {
  display: none;
}

header {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 99;
  display: flex;
  align-items: center;
  width: 100vw;
  height: 96px;
}
header .header_logo {
  position: relative;
  display: grid;
  place-items: center;
  height: 90px;
  padding-inline: 28px;
  cursor: pointer;
}
header .header_logo svg {
  height: 40px;
  transition: scale 0.2s ease;
}
header .header_logo::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.2);
  z-index: 1;
  opacity: 0;
  transition: opacity 0.07s linear;
}
header .header_logo:hover::after {
  opacity: 1;
}
header .header_logo:active svg {
  scale: 0.97;
}
header label.header_search {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: min(480px, 100% - 2rem);
  height: 48px;
  border: 1px solid #212121;
  background-color: rgba(255, 255, 255, 0.4666666667);
  -webkit-backdrop-filter: blur(4px);
          backdrop-filter: blur(4px);
  border-radius: 24px;
  margin-left: auto;
  margin-right: 28px;
  opacity: 0;
  translate: 0 -50px;
  transition: border-color 0.2s ease, all 0.3s ease-out;
}
header label.header_search.active {
  opacity: 1;
  translate: 0 0;
}
header label.header_search .header_search_icon {
  display: grid;
  place-items: center;
  aspect-ratio: 1;
  height: 100%;
  cursor: text;
}
header label.header_search .header_search_icon svg {
  width: 20px;
  fill: #212121;
  transition: all 0.2s ease;
}
header label.header_search input {
  display: block;
  width: calc(100% - 40px);
  height: 100%;
  border: none;
  outline: none;
  padding-right: 12px;
  box-sizing: border-box;
  background-color: transparent;
  font-size: 18px;
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  color: #000;
}
header label.header_search input::-moz-placeholder {
  color: #ccc;
}
header label.header_search input::placeholder {
  color: #ccc;
}
header label.header_search:has(input:focus, input:active) {
  border-color: #ff0033;
}

main {
  display: block;
  margin-top: 100px;
  width: 100vw;
  padding-inline: 12px;
  box-sizing: border-box;
}
main section.main_search {
  display: block;
  width: 100%;
}
main section.main_search p.desc {
  display: block;
  font-family: "LINE Seed JP", sans-serif;
  font-weight: 500;
  color: #000;
  font-size: 20px;
  text-align: center;
  letter-spacing: 0.01em;
}
main section.main_search label.main_search_input {
  display: flex;
  align-items: center;
  justify-content: center;
  width: min(960px, 100%);
  height: 56px;
  border: 1px solid #212121;
  border-radius: 100px;
  margin-inline: auto;
  margin-top: 24px;
  box-sizing: border-box;
  transition: all 0.2s ease;
}
main section.main_search label.main_search_input .main_search_icon {
  display: grid;
  place-items: center;
  aspect-ratio: 1;
  height: 100%;
  cursor: text;
}
main section.main_search label.main_search_input .main_search_icon svg {
  width: 24px;
  fill: #212121;
  transition: all 0.2s ease;
}
main section.main_search label.main_search_input .main_search_icon#main_search_paste {
  cursor: pointer;
  border-radius: 50%;
  transition: background-color 0.25s ease;
}
main section.main_search label.main_search_input .main_search_icon#main_search_paste:hover {
  background-color: rgba(0, 0, 0, 0.0941176471);
}
main section.main_search label.main_search_input input {
  display: block;
  width: calc(100% - 112px);
  height: 100%;
  border: none;
  outline: none;
  padding-inline: 4px;
  box-sizing: border-box;
  font-size: 18px;
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  color: #000;
}
main section.main_search label.main_search_input input::-moz-placeholder {
  color: #ccc;
}
main section.main_search label.main_search_input input::placeholder {
  color: #ccc;
}
main section.main_search label.main_search_input:has(input:focus, input:active) {
  border-color: #ff0033;
}
main span.hr {
  display: block;
  width: min(100vw - 2rem, 1280px);
  height: 1px;
  background-color: #f77;
  margin: 56px auto;
}
main section.main_info {
  display: block;
}
main section.main_info div {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
}
main section.main_info div p {
  display: block;
  font-family: "LINE Seed JP", sans-serif;
  color: #000;
  text-align: center;
  padding-block: 8px;
}
main section.main_info div p#main_info_ttl {
  font-weight: 700;
  font-size: 32px;
}
main section.main_info div p#main_info_channel {
  font-weight: 400;
  font-size: 20px;
}
main section.main_info div a {
  display: block;
  aspect-ratio: 1;
  padding: 2px;
}
main section.main_info div a svg {
  fill: #1A73E8;
  width: 100%;
  transition: scale 0.15s ease;
}
main section.main_info div a#main_info_link_video {
  width: 22px;
}
main section.main_info div a#main_info_link_channel {
  width: 16px;
}
main section.main_info div a:hover svg {
  scale: 1.15;
}
main section.main_info div a:active svg {
  scale: 1;
}
main section.main_thumbnails {
  display: block;
  width: 100%;
  margin-bottom: 128px;
  margin-top: 56px;
}
main section.main_thumbnails .main_thumbnails_max {
  display: block;
  width: min(720px, 100% - 2rem);
  margin-inline: auto;
}
main section.main_thumbnails .main_thumbnails_max .main_thumbnail_img {
  position: relative;
  display: block;
  width: 100%;
  aspect-ratio: 16/9;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 4px;
  cursor: pointer;
}
main section.main_thumbnails .main_thumbnails_max .main_thumbnail_img img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transition: scale 0.3s ease;
}
main section.main_thumbnails .main_thumbnails_max .main_thumbnail_img:hover img {
  scale: 1.07;
}
main section.main_thumbnails .main_thumbnails_max .main_thumbnail_img:hover::after {
  scale: 1;
  opacity: 1;
}
main section.main_thumbnails .main_thumbnails_max .main_thumbnail_img::after {
  content: "Download";
  position: absolute;
  left: 0;
  top: 0;
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3333333333);
  -webkit-backdrop-filter: blur(2px);
          backdrop-filter: blur(2px);
  color: #fff;
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  font-size: 36px;
  text-shadow: 0 0 8px #fff;
  letter-spacing: 0.04em;
  pointer-events: none;
  scale: 1.5;
  opacity: 0;
  transition: all 0.3s ease;
}
main section.main_thumbnails .main_thumbnails_max p.desc {
  display: block;
  color: #000;
  font-size: 20px;
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  margin-top: 4px;
  margin-left: 4px;
  word-break: keep-all;
}
main section.main_thumbnails .main_thumbnails_default {
  display: flex;
  align-items: start;
  justify-content: center;
  gap: 16px;
  width: min(1280px, 100% - 2rem);
  margin-inline: auto;
  overflow-x: auto;
  margin-top: 32px;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail {
  display: block;
  width: min(320px, 100% - 2rem);
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail.mq .main_thumbnail_img {
  display: grid;
  place-items: center;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail.mq .main_thumbnail_img img {
  height: auto;
  aspect-ratio: 16/9;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail .main_thumbnail_img {
  position: relative;
  display: block;
  width: 100%;
  aspect-ratio: 4/3;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 4px;
  background-image: repeating-linear-gradient(60deg, #ffffff, #ffffff 15px, #efefef 15px, #efefef 45px);
  cursor: pointer;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail .main_thumbnail_img img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transition: scale 0.2s ease;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail .main_thumbnail_img:hover img {
  scale: 1.07;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail .main_thumbnail_img:hover::after {
  scale: 1;
  opacity: 1;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail .main_thumbnail_img::after {
  content: "Download";
  position: absolute;
  left: 0;
  top: 0;
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3333333333);
  -webkit-backdrop-filter: blur(2px);
          backdrop-filter: blur(2px);
  color: #fff;
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  font-size: 28px;
  text-shadow: 0 0 8px #fff;
  letter-spacing: 0.04em;
  pointer-events: none;
  scale: 1.5;
  opacity: 0;
  transition: all 0.3s ease;
}
main section.main_thumbnails .main_thumbnails_default .main_thumbnail p.desc {
  display: block;
  color: #000;
  font-size: 16px;
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  margin-top: 4px;
  margin-left: 4px;
}

footer {
  display: flex;
  align-items: center;
  width: 100%;
  height: 200px;
  background-color: #e66525;
}
footer .footer_logo {
  display: block;
  width: 50%;
  height: 96px;
  padding-inline: 56px;
  box-sizing: border-box;
}
footer .footer_logo svg {
  height: 88px;
  fill: #fff;
}
footer .footer_copyright {
  display: flex;
  align-items: end;
  justify-content: end;
  width: 50%;
  height: 96px;
  padding-inline: 56px;
  box-sizing: border-box;
}
footer .footer_copyright p {
  display: block;
  font-family: "LINE Seed JP", sans-serif;
  font-weight: 400;
  color: #fff;
  font-size: 18px;
  text-align: right;
}

@media (max-width: 780px) {
  header {
    display: block;
    height: auto !important;
  }
  header .header_logo {
    width: auto !important;
    height: 60px !important;
    background-image: linear-gradient(to bottom, #fff, transparent);
  }
  header .header_logo svg {
    height: 32px !important;
    filter: drop-shadow(0 0 12px #fff);
  }
  header label.header_search {
    margin-inline: auto !important;
  }
  .main_info div {
    align-items: start !important;
  }
  .main_info div p {
    width: calc(100% - 28px);
    text-align: left !important;
  }
  .main_info div p#main_info_channel {
    text-align: right !important;
  }
  .main_info div a {
    margin-top: 8px;
  }
  .main_thumbnails_default {
    gap: 8px !important;
  }
  .main_thumbnail p.desc {
    font-size: 10px !important;
  }
}